[driverloader] error -19 with SMC2835W

Linuxant support (Jonathan) support at linuxant.com
Wed Jul 13 11:46:05 EDT 2005


you could try with a fresh 2.6.12.x kernel from http://www.kernel.org to 
see if there is a difference. It is possible that the ACPI bug you have 
experienced might be fixed in this newer kernel.


Technical specialist / Linuxant
support at linuxant.com

avdi at avdi.org wrote:
> Update:  disabling ACPI (by passing acpi=off on the kernel command line)
> fixes it.  So, now the question is: does anyone have any idea how I can
> get ACPI and the SMC to coexist peacefully?
> Thanks,
> Avdi Grimm
>>Hi there,
>>I've been trying to get my SMC 2835W cardbus adapter up and running on a
>>Thinkpad under Ubuntu 5.04.  Since the Prism54 drivers failed to work, I
>>thought I'd give driverloader a shot.  I suspect, because Prism54 failed,
>>that it is one of the newer "SoftMAC" revisions of the card, but I don't
>>know for sure.
>>Driverloader gives me errors on load.  The relevent kernel output appears
>>to be:
>>    driverloader: 2835wc51.sys: 0xc6c23000..0x6c81380 entry = c6c445de
>>(pbase = 0x10000)
>>    ACPI: PCI interrupt 0000:06:00.0[A] -> GSI 9 (level, low) -> IRQ 9
>>    wlan0: failed to initialize adapter (err = -19)
>>    wlan0: failed to register net device (-19)
>>Any help would be appreciated.
>>Avdi Grimm
>>driverloader mailing list
>>driverloader at lists.linuxant.com
> _______________________________________________
> driverloader mailing list
> driverloader at lists.linuxant.com
> https://www.linuxant.com/mailman/listinfo/driverloader

More information about the driverloader mailing list